@import "@/styles/variables";

.organization-container {
    grid-column: 1 / -1;
    display: grid;
    row-gap: 2rem;
    grid-template-areas:
        "iconframe"
        "filters"
        "filterView"
        "datasetsContainer"
        "navigation";

    @include notebook {
        column-gap: 2rem;
        grid-template:
            "filterView filterView"
            "iconframe datasetsContainer"
            "filters datasetsContainer"
            "filters navigation" / 28% auto;
    }

    @include desktop {
        grid-template-columns: 28% auto;
    }
}

.organization-datasets {
    grid-area: datasetsContainer;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.datasets-list {
    grid-area: datasets;
    display: grid;
    gap: 1rem;
    grid-row: auto;
    justify-self: stretch;

    a {
        text-decoration: none;
        color: $black;
    }
}

.organization-navigation {
    grid-area: navigation;
    align-items: center;
    gap: 2rem;

    @include col;
}
